# Copyright © 2023 Neven Sajko

module ToSparsePolynomial

import Polynomials

to_sparse_polynomial(
  coefficients::AbstractVector{<:Real},
  monomials::AbstractVector{<:Integer},
  variable::Symbol = :x,
) =
  Polynomials.SparsePolynomial(
    Dict(zip(monomials, coefficients)),
    variable,
  )

end
